<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <div class="ah-body-topbar">
            <div class="ah-page-title breadcrumbs">
                <h2> <a ui-sref="dashboard.providers"> Providers </a> /</h2>
                <div class="breadcrumbs-sub">
                    <small> {{  method }} provider</small>
                </div>
            </div>
        </div>
        <!-- <h1><a ui-sref="dashboard.providers"> Providers </a> /  <small> {{  method }} provider</small></h1> -->
    </div>

</div>
<!-- /.row -->


<form name="providerForm" role="form" >

<div class="row">
    <div class="col-lg-4">
<!--
        <header class="panel-heading font-bold">
          <h4> {{ provider.name }}</h4>
      </header>
       -->
      <section class="panel panel-default">

        <div class="panel-body">

            <div class="form-group">
                <label>Provider Name *</label>
                <input class="form-control" ng-model="provider.name" placeholder="Enter provider name" required="">
            </div>

            <div class="form-group">
                <label for="">Logo</label>
                <div class="block">
                    <span class="an-btn an-btn-primary btn-success  btn-file" ng-hide="provider.logo">
                        <i class="fa fa-upload fa-plus-padd"></i>Upload
                        <input type="file"  nv-file-select="" options="{{ logo_uploader_options }}" uploader="logo_uploader"  >
                    </span>
                    <a ng-show="provider.logo" ng-click="provider.logo=''" class="an-btn an-btn-remove"> <i class="fa fa-trash-o"></i>  Remove </a>

                    <div class="pull-right progress ah-progress-bar" ng-show="logo_uploader.isUploading"  >
                        <div  class="progress-bar progress-bar-success" role="progressbar" ng-style="{ 'width': logo_uploader.progress + '%' }"> {{ logo_uploader.progress }} %</div>
                    </div>
                </div>
                <br/>
                <img width="200px" ng-show="provider.logo" src="{{ provider.logo_file | AppStorage }}">
            </div>
            <div class="form-group">
                <label>Phone *</label>
                <input type="text" class="form-control" ng-model="provider.phone" placeholder="Enter  phone number" required="">
            </div>

            <div class="form-group">
                <label>Address *</label>
                <textarea class="form-control" ng-model="provider.address" placeholder="Enter  address" required=""></textarea>
            </div>

            <div class="form-group">
                <label>Email *</label>
                <input type="email" class="form-control" ng-model="provider.email" placeholder="Enter  email" required="">
            </div>

            <div class="form-group">
                <label>City *</label>
                <input class="form-control" ng-model="provider.city" placeholder="Enter  city name" required="">
            </div>

            <div class="form-group">
                <label>Country *</label>
                <select ng-model="provider.country" class="form-control" required="">
                    <option value="{{ key }}" ng-repeat="(key, value) in countries">{{ value }}</option>
                </select>
            </div>

            <div class="form-group">
                <label>Contact Name</label>
                <input class="form-control" ng-model="provider.primary_name" placeholder="Enter  contact name">
            </div>

            <div class="form-group">
                <label>Contact Emails</label>
                <textarea class="form-control" ng-model="provider.primary_email" placeholder="Enter  contact email address"></textarea>
                <small>Multiple emails must separate with space " " </small>
            </div>

            <div class="form-group">
                <label>Contact Phone</label>
                <input class="form-control" ng-model="provider.primary_phone" placeholder="Enter contact phone">
            </div>
            <div class="form-group">
                <label>Routine turnaround time (Hours) *</label>
                <input type="number" class="form-control" ng-model="provider.routine_turnaround" placeholder="Enter routine turnaround time" required="">
            </div>
            <div class="form-group">
                <label>Stat turnaround time (Hours) *</label>
                <input type="number" class="form-control" ng-model="provider.stat_turnaround" placeholder="Enter stat turnaround time" required="">
            </div>

            <hr/>
            <div class="form-group">
                <label>Enable DICOM C-SEND:</label>
                <checkbox
                    ng-model="provider.is_csend"
                    name="custom-name2"
                    ng-true-value="true"
                    ng-false-value="false" >
                </checkbox>

            </div>
            <div ng-show="provider.is_csend">
                <div class="form-group">
                    <label>Server IP address *</label>
                    <input class="form-control" name="host" ng-model="provider.host" ng-pattern='/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/'
              placeholder='xxx.xxx.xxx.xxx' >
                    <span class="has-block has-error text-danger" ng-show="providerForm.host.$dirty && providerForm.host.$invalid">Invalid IP address</span>
                </div>

                <div class="form-group">
                    <label>Port number *</label>
                    <input type="text" class="form-control" ng-model="provider.port" placeholder="Enter remote server port number" >
                </div>

                <div class="form-group">
                    <label>AE title *</label>
                    <input class="form-control" ng-model="provider.ae_title" placeholder="Enter remote server AE title" >
                </div>


            </div>


        </div>
       </section>
    </div>

    <div class="col-lg-4" >

        <header class="panel-heading font-bold">
              <h4>Provider login</h4>
        </header>
      <section class="panel panel-default">

        <div class="panel-body">

            <div class="form-group">
                <label>First name *</label>
                <input class="form-control" ng-model="provider.user.first_name" placeholder="Enter First name" required="">
            </div>

            <div class="form-group">
                <label>Last name *</label>
                <input class="form-control" ng-model="provider.user.last_name" placeholder="Enter Last name" required="">
            </div>

            <div class="form-group">
                <label>Email *</label>
                <input type="email" ng-blur="checkEmail()" class="form-control" ng-model="provider.user.email" placeholder="Enter  email" required="" ng-pattern="validEmail" >
            </div>
            <div class="form-group" ng-if="method=='Add'">
                <label>Password *</label>
                <input type="password" class="form-control" ng-model="provider.user.password" placeholder="Enter  password" required="">
            </div>
            <div class="form-group" ng-if="method=='Edit'">
                <label>Password reset</label>
                <input type="password" class="form-control" ng-model="provider.user.password" placeholder="Enter password to reset" >
            </div>
            <div class="form-group">
                <label>Email access info :</label>
                <checkbox
                    ng-model="provider.sendEmail"
                    name="custom-name"
                    ng-true-value="true"
                    ng-false-value="false" >
                </checkbox>

            </div>

        </div>
      </section>

    </div>

</div>

<div class="row">
    <div class="col-md-12">
        <a ng-click="saveProvider()" ng-disabled="!providerForm.$valid" type="submit" class="an-btn an-btn-primary"><i class="fa fa-save"></i>  Save</a>
            <a ui-sref="dashboard.providers"  class="an-btn an-btn-cancel"><i class="fa fa-times"></i>  Cancel</a>
            <a ng-click="openDeleteModal()" class="an-btn an-btn-delete"><i class="fa fa-trash-o"></i>  Delete</a>
    </div>
</div>

            

        </form>
